<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Groups extends CI_Controller {

	public function index()
	{

/*
<a href="/lang/turkish">Türkçe</a>
*/		
$data["groups"]=$grup_sayi=genel::mice_gruplar();
//print_r($grup_sayi);
if(count($grup_sayi)==1){
foreach ($grup_sayi as $grup_sayi) {
redirect("/grup/".$grup_sayi->package_id."/anasayfa");
exit();
}


}
//echo count($grup_sayi);
	
		$this->load->view('groups_main',isset($data) ? $data : NULL);
	}



public function anasayfa($paket_id=0){
//echo $grup_id;
$data["grup_detay"]=$grup_detay=genel::grup_detay($paket_id);
$data["grup_id"]=$paket_id;
//print_r($grup_detay);
$this->load->view('grup_anasayfa',isset($data) ? $data : NULL);
}





public function tesis_hakkinda($paket_id=0){
//echo $grup_id;
$data["grup_detay"]=$grup_detay=genel::grup_detay($paket_id);
$data["grup_id"]=$paket_id;
//print_r($grup_detay);
		$this->load->view('grup/tesis_detay',isset($data) ? $data : NULL);
}




public function etkinlik_programi($grup_id=0){
//echo $grup_id;
$data["grup_detay"]=$grup_detay=genel::grup_detay($grup_id);
$data["grup_id"]=$grup_id;
//print_r($grup_detay);
		$this->load->view('grup/etkinlik_takvimi',isset($data) ? $data : NULL);
}



public function fiyat_listesi($paket_id=0){
//echo $grup_id;
$data["grup_detay"]=$grup_detay=genel::grup_detay($paket_id);
$data["grup_id"]=$paket_id;
//print_r($grup_detay);

$fiyat_listesi=$data["fiyat_listesi"]=genel::fiyat_listesi($paket_id);
//print_r($fiyat_listesi);
		$this->load->view('grup/fiyat_listesi',isset($data) ? $data : NULL);
}


public function ucak_bileti($grup_id=0){
//echo $grup_id;
$data["grup_detay"]=$grup_detay=genel::grup_detay($grup_id);
$data["grup_id"]=$grup_id;
//print_r($grup_detay);
		$this->load->view('ucak_bileti',isset($data) ? $data : NULL);
}


public function iletisim($grup_id=0){
//echo $grup_id;
$data["grup_detay"]=$grup_detay=genel::grup_detay($grup_id);
$data["grup_id"]=$grup_id;
//print_r($grup_detay);
		$this->load->view('iletisim',isset($data) ? $data : NULL);
}


public function rezervasyon($grup_id=0){
//echo $grup_id;
$data["grup_detay"]=$grup_detay=genel::grup_detay($grup_id);
$data["grup_id"]=$grup_id;


//print_r($grup_detay);
		$this->load->view('reservation/rezervasyon',isset($data) ? $data : NULL);
}


public function tesis_detay($grup_id=0,$otel_seo){

$data["grup_detay"]=$grup_detay=genel::grup_detay($grup_id);
$data["grup_id"]=$grup_id;

$otel_detay=$data["otel_detay"]=genel::otel_detay($otel_seo);
//print_r($otel_detay);
if(count($otel_detay)==0){
redirect("/grup/".$grup_id."/tesis-hakkinda");	
exit();
}
//$this->load->view('grup/tesis_detay',isset($data) ? $data : NULL);
}


}
